set xrange [ 10:300 ]

set key right top
set autoscale y
set logscale y


set xtics 25
set grid

set xlabel "Rozmiar instancji" 0.0, 0.5
set ylabel "Efektywnosc" 

set lmargin 10.5
set tmargin 2
set bmargin 3

set title "Porownanie wszystkich algorytmow pod wzgledem efektywnosci" 

set style line 1 lt 1 pt 8 linecolor rgb "red"
set style line 2 lt 1 pt 2 linecolor rgb "blue"
set style line 3 lt 1 pt 3 linecolor rgb "green"
set style line 4 lt 1 pt 4 linecolor rgb "brown"
set style line 5 lt 1 pt 5 linecolor rgb "#708090"
set style line 6 lt 1 pt 6 linecolor rgb "#FF1493"
set style line 7 lt 3 pt 4 linecolor rgb "black"

set size 1.2, 1.2
set term postscript eps enhanced color
set output "efficiency_SATS.eps"


plot "SATS.dat" index 0 using 3:(1.0/($5+1000*$9)) ti "Tabu Search" w lp linestyle 5, \
	"SATS.dat" index 1 using 3:(1.0/($5+1000*$9)) ti "Simmulated Annealing" w lp linestyle 6
