set xrange [ 10:300 ]
set yrange [ 10:150000000 ]
set key left top
set logscale y


set xtics 25
set grid

set xlabel "Rozmiar instancji" 0.0, 0.5
set ylabel "Odchylenie std. czasu dzialania algorytmu lokalnego log [{/Symbol m}s]" 

set lmargin 10.5
set tmargin 2
set bmargin 3

set title "Porownanie wszystkich algorytmow lokalnych pod wzgledem odchylen czasu dzialania" 

set style line 1 lt 1 lw 3 pt 8 linecolor rgb "red"
set style line 2 lt 1 lw 3 pt 2 linecolor rgb "blue"
set style line 3 lt 1 lw 3 pt 3 linecolor rgb "green"
set style line 4 lt 1 lw 3 pt 4 linecolor rgb "brown"

set size 1.2, 1.2
set term postscript eps enhanced color
set output "odch_czas_all.eps"


plot "data2.dat" index 0 using 3:5:6 ti "Greedy" w yerr linestyle 1, \
	"data2.dat" index 1 using 3:5:6 ti "Steepest"  w yerr linestyle 2, \
	"data2.dat" index 2 using 3:5:6 ti "Random" w yerr linestyle 3, \
	"data2.dat" index 3 using 3:5:6 ti "Heuristic" w yerr linestyle 4
