set xrange [ 10:300 ]
set yrange [ 10:10000000 ]
set key left top
set logscale y


set xtics 25
set grid

set xlabel "Rozmiar instancji" 0.0, 0.5
set ylabel "Czas dzialania algorytmu log [{/Symbol m}s]" 

set lmargin 10.5
set tmargin 2
set bmargin 3

set title "Porownanie algorytmu Random pod wzgledem czasu dzialania" 

set style line 1 lt 1 pt 8 linecolor rgb "red"
set style line 2 lt 1 pt 2 linecolor rgb "blue"
set style line 3 lt 1 pt 3 linecolor rgb "green"
set style line 4 lt 1 pt 4 linecolor rgb "brown"
set style line 5 lt 1 pt 5 linecolor rgb "#708090"
set style line 6 lt 1 pt 6 linecolor rgb "#FF1493"
set style line 7 lt 3 pt 4 linecolor rgb "black"
set style line 8 lt 3 pt 4 linecolor rgb "#A9A9A9"

set size 1.2, 1.2
set term postscript eps enhanced color
set output "random_czas_all.eps"


plot "data2.dat" index 2 using 3:7 ti "Random max" w lp linestyle 7, \
	"data2.dat" index 2 using 3:8 ti "Random min"  w lp linestyle 8, \
	"data2.dat" index 2 using 3:5 ti "Random sr" w lp linestyle 3, \
	"data2.dat" index 2 using 3:5:6 ti "Random odch" w yerr linestyle 3
