set xrange [ 10:300 ]
set key right bottom
set autoscale y
set logscale y


set xtics 25
set grid

set xlabel "Rozmiar instancji" 0.0, 0.5
set ylabel "Srednia liczba ocenionych rozwiazan (log)" 

set lmargin 10.5
set tmargin 2
set bmargin 3

set title "Porownanie algorytmow G, S, SA i TS pod wzgledem liczby ocenionych rozwiazan" 

set style line 1 lt 1 pt 8 linecolor rgb "red"
set style line 2 lt 1 pt 2 linecolor rgb "blue"
set style line 3 lt 1 pt 3 linecolor rgb "green"
set style line 4 lt 1 pt 4 linecolor rgb "brown"
set style line 5 lt 1 pt 4 linecolor rgb "#708090"
set style line 6 lt 1 pt 6 linecolor rgb "#FF1493"

set size 1.2, 1.2
set term postscript eps enhanced color
set output "solutions_all.eps"


plot "data2.dat" index 0 using 3:17:18 ti "Greedy" w yerr linestyle 1, \
	"data2.dat" index 0 using 3:17 ti " " w lp linestyle 1, \
	"data2.dat" index 1 using 3:17:18 ti "Steepest" w yerr linestyle 2, \
	"data2.dat" index 1 using 3:17 ti " " w lp linestyle 2, \
	"SATS.dat" index 0 using 3:17:18 ti "Tabu Search" w yerr linestyle 5, \
	"SATS.dat" index 0 using 3:17 ti " " w lp linestyle 5, \
	"SATS.dat" index 1 using 3:17:18 ti "Simmulated Annealing" w yerr linestyle 6, \
	"SATS.dat" index 1 using 3:17 ti " " w lp linestyle 6
