package tsp.algorithm;

import tsp.model.Permutation;

public class GreedyAlgorithm extends Algorithm {

	public GreedyAlgorithm(Permutation permutation) {
		super(permutation.cloning());
	}

	@Override
	public Permutation findSolution(Permutation p) {
		beginPermutation = p;
		return findSolution();
	}

	@Override
	public Permutation findSolution() {
		initAlgorithm();
		Permutation permutation = beginPermutation.cloning();
		Double gain = permutation.countEvaluation();
		int k = 0, l = 1;
		Double lastEvaluation = 0.0;
		Double gainLimit = 0.0d;
		while(gain.compareTo(gainLimit) > 0){
			gain = -1.0;
			k = 0;
			l = 1;
			while(k < permutation.getLength()-1){
				lastEvaluation = permutation.countEvaluation();
				gain = lastEvaluation - checkCitiesEvaluation(permutation, k, l);
				if(gain.compareTo(gainLimit) > 0){
					goToNode(permutation, k, l);
					break;
				}
				l++;
				if(l == permutation.getLength()){
					k++;
					l = k+1;
				}			
			}
			if(isTimeToFinish()){
				break;
			}
		}
		return endPermutation = permutation;
	}

	@Override
	public String getName() {
		return "Greedy";
	}

	@Override
	public char getAlgorithmName() {
		return Algorithm.TYPE_GREEDY_NAME;
	}

}
