package tsp.algorithm;

import java.util.Random;

import tsp.model.Permutation;

public class RandomAlgorithm extends Algorithm {
	
	public RandomAlgorithm(Permutation permutation) {
		super(permutation.cloning());
	}

	@Override
	public Permutation findSolution(Permutation p) {
		beginPermutation = p;
		return findSolution();
	}

	@Override
	public Permutation findSolution() {
		initAlgorithm();
		beginPermutation.countEvaluation();
		Permutation permutation = beginPermutation.cloning();
		endPermutation = permutation.cloning();
		Random generator = new Random(System.nanoTime());
		int random1;
		while(!isTimeToFinish()){
			random1 = generator.nextInt(permutation.getLength());
			goToNode(permutation, random1, 
					(random1 + generator.nextInt(permutation.getLength()-1))%permutation.getLength());
			if(permutation.countEvaluation() < endPermutation.getLastEvaluation()){
				endPermutation = permutation.cloning();
			}
		}
		return endPermutation;
	}

	@Override
	public String getName() {
		return "Random";
	}

	@Override
	public char getAlgorithmName() {
		return Algorithm.TYPE_RANDOM_NAME;
	}

}
