package tsp.algorithm;

import tsp.model.Permutation;

public class SimpleHeuristics extends Algorithm {

	public SimpleHeuristics(Permutation permutation) {
		super(permutation.cloning());
	}

	@Override
	public Permutation findSolution(Permutation p) {
		beginPermutation = p;
		return findSolution();
	}

	@Override
	public Permutation findSolution() {
		initAlgorithm();
		Permutation permutation = beginPermutation.cloning();
		int bestMoveL;
		for(int k = 0; k < permutation.getLength()-1 && !isTimeToFinish(); k++){
			bestMoveL = 0;
			for(int l = k + 1; l < permutation.getLength(); l++){
				if(permutation.getDistance(k, bestMoveL).compareTo(
						permutation.getDistance(k, l)) > 0){
					bestMoveL = l;
				}
			}
			if(bestMoveL != 0){
				goToNode(permutation, k+1, bestMoveL);	
			}
		}
		return endPermutation = permutation;
	}

	@Override
	public String getName() {
		return "Simple Heuristics";
	}

	@Override
	public char getAlgorithmName() {
		return Algorithm.TYPE_SIMPLE_HEURISTICS_NAME;
	}

}
