package tsp.algorithm.utils;

import java.util.ArrayList;
import java.util.List;

import tsp.algorithm.Algorithm;
import tsp.model.Permutation;

public class MastersList {
	List<NeighbourMove> list = new ArrayList<NeighbourMove>();
	int nextNeighbor = -1;
	int size;

	public MastersList(int size) {
		this.size = size;
	}

	public boolean canGetNext(Permutation p, Algorithm a) {
		//if jest pusta => false
		if(list.size() == 0 || nextNeighbor >= size || nextNeighbor >= list.size()){
			return false;
		}
		
		//if ocena drugiego, trzeciego, ..lub n-tego jest gorsza od początkowej oceny najgorszego z masters=>false
		if(list.get(list.size()-1).getEval() > 
				a.checkCitiesEvaluation(p, 
						list.get(nextNeighbor).getOne(),list.get(nextNeighbor).getTwo())){
			return false;
		}
		return true;
	}

	public NeighbourMove getNextNeighbour() {
		return list.get(nextNeighbor++);//nextNeighbor++ after getting element from the list
	}

	public void setNewList(List<NeighbourMove> candidates, Permutation p) {
		nextNeighbor = 0;
		list.clear();
		for(int i = 0; i < size && i < candidates.size(); i++){
			list.add(i, candidates.get(i));
		}
		if(list.size() == 0){
			System.out.println("BLAD!");
		}
	}

}
