package tsp.algorithm.utils;

import java.util.ArrayList;
import java.util.List;

public class TabuList {
	
	List<NeighbourMove> movesList = new ArrayList<NeighbourMove>();
	double[][] table;
	int actualElement;
	long insertedElementsNumber;
	int size;

	public TabuList(int listLength, int permutationLength) {
		size = listLength;
		table = new double[permutationLength][permutationLength];
		actualElement = -1;
		insertedElementsNumber = 0;
	}

	public void updateTabu(NeighbourMove move) {
		actualElement++;
		if(actualElement >= size){
			actualElement = 0;
		}
		if(insertedElementsNumber >= size){//elementToDel
			table[movesList.get(actualElement).getOne()]
			      [movesList.get(actualElement).getTwo()] = 0.0d;
			movesList.remove(actualElement);
		}
		movesList.add(actualElement, move);
		table[move.getOne()][move.getTwo()] = move.getEval();
		insertedElementsNumber++;
	}

	public boolean isTabu(int i, int j) {
		if(i < j){
			return table[i][j] != 0.0d;
		}else{
			return table[j][i] != 0.0d;				
		}
	}

}
