package tsp.utils;

import tsp.algorithm.Algorithm;

public class TimeCounter {
	
	public long measure(Algorithm a, int numberOfIterations){
		return measure(a, numberOfIterations, 0);
	}

	public long measure(Algorithm a, int numberOfIterations, int maxWorkMiliseconds) {		
		StringBuilder sb = new StringBuilder();
//		System.out.print();//+" : "+a.getBeginPermutation().print());
		a.setMaxWorkMiliseconds(maxWorkMiliseconds);
		long time = System.nanoTime();
		for(int i = 0; i < numberOfIterations; i++){
			a.findSolution();
		}
		long result = (System.nanoTime() - time)/numberOfIterations;
		sb	//.append(a.getAlgorithmName())
			//.append(": time[mikro sec] = ")
			.append(result/1000).append(' ')
//			.append("\tBeginPerm.eval = ")
			.append(a.getBeginPermutation().countEvaluation().toString()).append(' ')
//			.append("\tEndPerm.eval = ")
			.append(a.getEndPermutation().countEvaluation().toString()).append(' ')
			.append(a.getBeginPermutation().getProblem().getOptDistance().toString());
		System.out.println(sb.toString());
		return result/1000;//in microseconds
	}
}
